[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# GetLongHint

Returns the long version of a Hint string.

## Declaration

Source position: forms.pp line 1983

`function GetLongHint(`
`const Hint: string`
`):string;`

## Arguments

`Hint` |  | The string containing both short and long Hint text in the format: 'Short Hint|This is the Long Hint for a control.'

## Function result

The long variant of the specified hint text.

## Description

A long Hint is the part of the text which appears after a '|' character in Str. For example:

    'Short Hint|This is the Long Hint for a control.'

If the '|' character is not found, the value in Str is returned.

## See also

GetShortHint |  | Returns the short version of a Hint string.
TControl.Hint
TControl.DialogChar